package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 线下服务对象 tb_offline_services
 * 
 * @author ruoyi
 * @date 2023-10-16
 */

public class OfflineServices extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 服务编号 */
    private Long serviceId;

    /** 服务名称 */
    @Excel(name = "服务名称")
    private String serviceName;

    /** 封面图 */
    @Excel(name = "封面图")
    private String coverImage;

    /** 服务地点 */
    @Excel(name = "服务地点")
    private String serviceAddress;

    /** 服务时间 */
    @Excel(name = "服务时间")
    private String activityDate;

    /** 服务主题 */
    @Excel(name = "服务主题")
    private String activityTheme;

    /** 报名人数 */
    @Excel(name = "报名人数")
    private Long registerNum;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    public void setServiceId(Long serviceId) 
    {
        this.serviceId = serviceId;
    }

    public Long getServiceId() 
    {
        return serviceId;
    }
    public void setServiceName(String serviceName) 
    {
        this.serviceName = serviceName;
    }

    public String getServiceName() 
    {
        return serviceName;
    }
    public void setCoverImage(String coverImage) 
    {
        this.coverImage = coverImage;
    }

    public String getCoverImage() 
    {
        return coverImage;
    }
    public void setServiceAddress(String serviceAddress) 
    {
        this.serviceAddress = serviceAddress;
    }

    public String getServiceAddress() 
    {
        return serviceAddress;
    }
    public void setActivityDate(String activityDate) 
    {
        this.activityDate = activityDate;
    }

    public String getActivityDate() 
    {
        return activityDate;
    }
    public void setActivityTheme(String activityTheme) 
    {
        this.activityTheme = activityTheme;
    }

    public String getActivityTheme() 
    {
        return activityTheme;
    }
    public void setRegisterNum(Long registerNum) 
    {
        this.registerNum = registerNum;
    }

    public Long getRegisterNum() 
    {
        return registerNum;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("serviceId", getServiceId())
            .append("serviceName", getServiceName())
            .append("coverImage", getCoverImage())
            .append("serviceAddress", getServiceAddress())
            .append("activityDate", getActivityDate())
            .append("activityTheme", getActivityTheme())
            .append("registerNum", getRegisterNum())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
